Bug 13461 - Circ always asking for confirmation if RentalFeesCheckoutConfirmation is used
Summary: Circ always asking for confirmation if RentalFeesCheckoutConfirmation is used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-14 21:25 UTC by Katrin Fischer
Modified: 2016-06-21 21:36 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13461 - Circ always asking for confirmation if RentalFeesCheckoutConfirmation is used (1.17 KB, patch)
2014-12-14 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13461 - Circ always asking for confirmation if RentalFeesCheckoutConfirmation is used (1.27 KB, patch)
2014-12-15 12:41 UTC, Paola Rossi
Details | Diff | Splinter Review
[PASSED QA] Bug 13461 - Circ always asking for confirmation if RentalFeesCheckoutConfirmation is used (1.24 KB, patch)
2014-12-16 09:02 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-12-14 21:25:49 UTC
If RentalFeesCheckoutConfirmation system preference is activated, Koha will ask for confirmation for every checkout, even if there is no rental fine defined for the itemtype.
Comment 1 Katrin Fischer 2014-12-14 21:32:50 UTC Comment hidden (obsolete)
Comment 2 Paola Rossi 2014-12-15 12:41:01 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2014-12-16 09:02:30 UTC
Created attachment 34450 [details] [review]
[PASSED QA] Bug 13461 - Circ always asking for confirmation if RentalFeesCheckoutConfirmation is used

To test:
- Check RentalFeesCheckoutConfirmation is activated
- Try to check out an item without rental fine
- Verify confirmation message without explanation
  is shown
- Apply patch
- Verify confirmation message is no longer shown
- Configure itemtype to have rental fee
- Veirfy now the confirmation message appears as
  it should

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Comment 4 Martin Renvoize 2014-12-16 09:03:40 UTC
Works as expected, super trivial but super needed patch.. Passing QA

Thanks Katrin :)
Comment 5 Tomás Cohen Arazi 2014-12-19 20:12:43 UTC
Pätch pushed to master.

Gracias Katrina!
Comment 6 Chris Cormack 2014-12-19 23:48:40 UTC
Pushed to 3.18.x, will be in 3.18.2
Comment 7 Mason James 2014-12-22 19:13:51 UTC
(In reply to Chris Cormack from comment #6)
> Pushed to 3.18.x, will be in 3.18.2

skipping patch for 3.16.x